﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Book.ascx.cs" Inherits="WebUserControl_Book" %>
<section>
            <h1>
                <asp:Image ID="Image1" runat="server" ImageUrl="~/image/number/orderedList1.png" />
                <asp:Label ID="Label24" runat="server" Font-Bold="True" Font-Size="Larger" Text="熱門話題"></asp:Label>
            </h1>
        <p>
        <asp:Label ID="Label3" runat="server" ForeColor="#3366FF" Text="請輸入標題:" Visible="False"></asp:Label>
        <asp:TextBox ID="TextBox1" runat="server" Visible="False"></asp:TextBox>
        <asp:FileUpload ID="FileUpload1" runat="server" Visible="False" />
            </p>
            <p>
        <asp:Label ID="Label25" runat="server" ForeColor="#3366FF" Text="請輸入Mark:" Visible="False"></asp:Label>
                <asp:TextBox ID="TextBox9" runat="server" Visible="False"></asp:TextBox>
        <asp:Label ID="Label26" runat="server" ForeColor="#3366FF" Text="請輸入Note:" Visible="False"></asp:Label>
                <asp:TextBox ID="TextBox8" runat="server" Visible="False"></asp:TextBox>
            <asp:Button ID="Button3" runat="server" OnClick="Button3_Click" Text="上傳" Visible="False" style="height: 21px" />
        <asp:Label ID="Label2" runat="server" ForeColor="#3366FF" Text="上傳熱門話題" Visible="False"></asp:Label>
        <asp:Label ID="Label4" runat="server" ForeColor="Red" Visible="False"></asp:Label>
            </p>
        <asp:Label ID="Label6" runat="server" ForeColor="Red" Text="勾選刪除項目:" Visible="False"></asp:Label>
            <asp:Button ID="Button4" runat="server" OnClick="Button4_Click" Text="刪除" Visible="False" style="height: 21px" />

            <asp:CheckBoxList ID="CheckBoxList4" runat="server" DataSourceID="AccessDataSource1" DataTextField="Title" DataValueField="B_ID" Visible="False">
            </asp:CheckBoxList>
            &nbsp;&nbsp;<asp:DropDownList ID="DropDownList5" runat="server" AutoPostBack="True" DataSourceID="AccessDataSource1" DataTextField="Title" DataValueField="B_ID" OnSelectedIndexChanged="DropDownList5_SelectedIndexChanged" BackColor="#FFFFCC" Font-Bold="True" Font-Size="Large" ForeColor="#003399">
            </asp:DropDownList>
           <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/db_ADO.mdb" SelectCommand="SELECT * FROM [BookDisplay] WHERE ([Typ] = ?) ORDER BY [B_ID]">
                <SelectParameters>
                    <asp:Parameter DefaultValue="1" Name="Typ" Type="Int32" />
                </SelectParameters>
            </asp:AccessDataSource> 
         
            <asp:Label ID="Label11" runat="server" Font-Bold="True" Font-Size="Larger" ForeColor="Red"></asp:Label>
            <br />
            <asp:Label ID="Label12" runat="server" Font-Size="Larger" ForeColor="Blue"></asp:Label>

        <br />
         
<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" EnableViewState="False" UpdateMode="Conditional">
    <ContentTemplate>
        <object border="0" classid="clsid:CA8A9780-280D-11CF-A24D-444553540000" height="700" width="860">
            <param name="_Version" value="65539" />
            <param name="_ExtentX" value="20108" />
            <param name="_ExtentY" value="10866" />
            <param name="_StockProps" value="0" />
            <param name="SRC"value="<%= Session["Book1"].ToString()%>" />
            <object data='<%= Session["Book1"].ToString()%>' height="700" type="application/pdf" width="860">
            </object>
             </object>
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="DropDownList5" />
    </Triggers>
</asp:UpdatePanel>
</section>
           
        
                <br />
               <section>
                        <h1>
                <asp:Image ID="Image2" runat="server" ImageUrl="~/image/number/orderedList2.png" />
                <asp:Label ID="Label1" runat="server" Font-Bold="True" Font-Size="Larger" Text="學會圖書目錄"></asp:Label>
            </h1>
                   <p>
                       
        <asp:Label ID="Label20" runat="server" ForeColor="#3366FF" Text="請輸入標題:" Visible="False"></asp:Label>
        <asp:TextBox ID="TextBox3" runat="server" Visible="False"></asp:TextBox>
        <asp:FileUpload ID="FileUpload3" runat="server" Visible="False" />
                       </p>
                        <p>
        <asp:Label ID="Label27" runat="server" ForeColor="#3366FF" Text="請輸入Mark:" Visible="False"></asp:Label>
        <asp:TextBox ID="TextBox6" runat="server" Visible="False"></asp:TextBox>
        <asp:Label ID="Label28" runat="server" ForeColor="#3366FF" Text="請輸入Note:" Visible="False"></asp:Label>
        <asp:TextBox ID="TextBox7" runat="server" Visible="False"></asp:TextBox>
                        <asp:Button ID="Button10" runat="server" OnClick="Button10_Click" Text="上傳" Visible="False" />
        <asp:Label ID="Label21" runat="server" ForeColor="#3366FF" Text="上傳學會圖書目錄" Visible="False"></asp:Label>
        <asp:Label ID="Label22" runat="server" ForeColor="Red" Visible="False"></asp:Label>
                        </p>
                        
                        
        <asp:Label ID="Label23" runat="server" ForeColor="Red" Text="勾選刪除項目:" Visible="False"></asp:Label>
                        <asp:Button ID="Button11" runat="server" OnClick="Button11_Click" Text="刪除" Visible="False" />
            <asp:CheckBoxList ID="CheckBoxList3" runat="server" DataSourceID="AccessDataSource2" DataTextField="Title" DataValueField="B_ID" Visible="False" OnSelectedIndexChanged="CheckBoxList3_SelectedIndexChanged">
            </asp:CheckBoxList>
                   
                  &nbsp; <asp:DropDownList ID="DropDownList4" runat="server" OnSelectedIndexChanged="DropDownList4_SelectedIndexChanged" style="height: 27px" AutoPostBack="True" DataSourceID="AccessDataSource2" DataTextField="Title" DataValueField="B_ID" BackColor="#FFFFCC" Font-Bold="True" Font-Size="Large" ForeColor="#003399">
                        </asp:DropDownList>
                   <br/>
                        
                       
                        <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/App_Data/db_ADO.mdb" SelectCommand="SELECT * FROM [BookDisplay] WHERE ([Typ] = ?)">
                            <SelectParameters>
                                <asp:Parameter DefaultValue="2" Name="Typ" Type="String" />
                            </SelectParameters>
                        </asp:AccessDataSource>
                        
                        <asp:Label ID="Label31" runat="server" Font-Bold="True" Font-Size="Larger" ForeColor="Red"></asp:Label>
                        <br />
            <asp:Label ID="Label32" runat="server" Font-Size="Larger" ForeColor="Blue"></asp:Label>

                        
                       

                        
                        <asp:UpdatePanel ID="UpdatePanel2" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
                            <ContentTemplate>
                                <object border="0" classid="clsid:CA8A9780-280D-11CF-A24D-444553540000" height="700" width="860">
                    <param name="_Version" value="65539" />
                    <param name="_ExtentX" value="20108" />
                    <param name="_ExtentY" value="10866" />
                    <param name="_StockProps" value="0" />
                    <param name="SRC"value="<%= Session["Book2"].ToString()%>" />
                      
                                    <object data='<%= Session["Book2"].ToString()%>' height="700" type="application/pdf" width="860">
                                    </object>
                                </object>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="DropDownList4" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <br />
                        
                   </section>
                <p>
                    &nbsp;</p>
<p>
    &nbsp;</p>
                        
                        